org.modeshape.jcr.query.lucene.basic

## Class NodeInfoIndex.FieldName

- java.lang.Object
- - org.modeshape.jcr.query.lucene.basic.NodeInfoIndex.FieldName

- Enclosing class:
    NodeInfoIndex

      public static final class NodeInfoIndex.FieldName
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALL_REFERENCES` The name of the `string field` used to store the `NodeKey`s from all WEAKREFERENCE and REFERENCE properties on the node.
    `static String` | `BINARY_SHA1_PREFIX` The prefix of the name of the `string field` used to store the SHA-1 of the binary values for the property.
    `static String` | `BINARY_SHA1S` The name of the `string field` used to store the `SHA-1 hash in hexadecimal form` of all `Binary` values from all BINARY properties on the node.
    `static String` | `DEPTH` The name of the `numeric field` used to store the depth of the node, which is equal to the `number of segments` in the path, and starts at 0 for the root node.
    `static String` | `FULL_TEXT` The name of the `string field` used to store the full-text search analyzed terms for this node, which are derived from the node's property values.
    `protected static String` | `FULL_TEXT_PREFIX` The prefix of the name of the `string field` used to store the full-text search analyzed terms of the property's value(s).
    `static String` | `ID` The name of the `string field` in which the node identifier will be placed.
    `static String` | `LENGTH_PREFIX` The prefix of the name of the `string field` used to store the length of the property value.
    `static String` | `LOCAL_NAME` The name of the `string field` used to store the `local name` of the node (which excludes the namespace component).
    `static String` | `NODE_NAME` The name of the `string field` used to store the node `name` in qualified form, using the durable prefix for the namespace used in the name.
    `static String` | `PATH` The name of the `string field` used to store the path of the node in non-standard qualified form, using the durable prefix for the namespace component of each segment.
    `static String` | `SNS_INDEX` The name of the `numeric field` used to store the same-name-sibling index of the node.
    `static String` | `STRONG_REFERENCES` The name of the `string field` used to store the `NodeKey`s from all REFERENCE properties on the node.
    `static String` | `WORKSPACE` The name of the `string field` in which the workspace name will be placed.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInfoIndex.FieldName()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      The name of the `string field` in which the node identifier will be placed. The value is always the string form of the `node key`.
      See Also:
        Constant Field Values

    - #### WORKSPACE

          public static final String WORKSPACE

      The name of the `string field` in which the workspace name will be placed.
      See Also:
        Constant Field Values

    - #### PATH

          public static final String PATH

      The name of the `string field` used to store the path of the node in non-standard qualified form, using the durable prefix for the namespace component of each segment. Non-standard form is used, since all path segments include the same-name-sibling (SNS) index, even when the SNS index is "1".

      The following example shows a path in non-standard qualified form, where "`ex`" is the durable prefix for a namespace:

           /ex:foo[1]/ex:bar[2]/child[1]

      Standard and non-standard forms are defined in sections 3.4.3.1 and 3.4.3.2 of the JCR 2.0 specification. Qualified form is defined in section 3.2.5.2 of the JCR 2.0 specification.
      See Also:
        Constant Field Values

    - #### NODE_NAME

          public static final String NODE_NAME

      The name of the `string field` used to store the node `name` in qualified form, using the durable prefix for the namespace used in the name.

      The following examples shows names in qualified form, where "`ex`" is the durable prefix for a namespace:

           ex:foo
           ex:foo[2]
           ex:foo[3]
           other

      Qualified form is defined in section 3.2.5.2 of the JCR 2.0 specification.
      See Also:
        Constant Field Values

    - #### LOCAL_NAME

          public static final String LOCAL_NAME

      The name of the `string field` used to store the `local name` of the node (which excludes the namespace component). This makes it easier to search for the nodes based upon local name criteria.
      See Also:
        Constant Field Values

    - #### SNS_INDEX

          public static final String SNS_INDEX

      The name of the `numeric field` used to store the same-name-sibling index of the node. The values are always positive.
      See Also:
        Constant Field Values

    - #### DEPTH

          public static final String DEPTH

      The name of the `numeric field` used to store the depth of the node, which is equal to the `number of segments` in the path, and starts at 0 for the root node.
      See Also:
        Constant Field Values

    - #### FULL_TEXT

          public static final String FULL_TEXT

      The name of the `string field` used to store the full-text search analyzed terms for this node, which are derived from the node's property values.
      See Also:
        `FULL_TEXT_PREFIX`, Constant Field Values

    - #### FULL_TEXT_PREFIX

          protected static final String FULL_TEXT_PREFIX

      The prefix of the name of the `string field` used to store the full-text search analyzed terms of the property's value(s). The remainder of the field name has the form "<namespace>:<local>" (where <namespace> can be zero-length). Note that the prefix uses a single leading ':', which means that it cannot result in the same field name for a property. Also, even if the namespace is zero-length, the free-text search field will be named ":ft::<local>" and will not clash with any other property name.
      See Also:
        `FULL_TEXT`, Constant Field Values

    - #### LENGTH_PREFIX

          public static final String LENGTH_PREFIX

      The prefix of the name of the `string field` used to store the length of the property value. Note that the prefix uses a single leading ':', which means that it cannot result in the same field name for a property.
      See Also:
        Constant Field Values

    - #### BINARY_SHA1_PREFIX

          public static final String BINARY_SHA1_PREFIX

      The prefix of the name of the `string field` used to store the SHA-1 of the binary values for the property. Note that the prefix uses a single leading ':', which means that it cannot result in the same field name for a property.
      See Also:
        `BINARY_SHA1S`, Constant Field Values

    - #### BINARY_SHA1S

          public static final String BINARY_SHA1S

      The name of the `string field` used to store the `SHA-1 hash in hexadecimal form` of all `Binary` values from all BINARY properties on the node.
      See Also:
        `BINARY_SHA1_PREFIX`, Constant Field Values

    - #### ALL_REFERENCES

          public static final String ALL_REFERENCES

      The name of the `string field` used to store the `NodeKey`s from all WEAKREFERENCE and REFERENCE properties on the node.
      See Also:
        Constant Field Values

    - #### STRONG_REFERENCES

          public static final String STRONG_REFERENCES

      The name of the `string field` used to store the `NodeKey`s from all REFERENCE properties on the node.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NodeInfoIndex.FieldName

          public NodeInfoIndex.FieldName()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.